Retrieve multiple contrail attributions

GET https://contrails.googleapis.com/v2/{parent=attributions}:batchGet: Get multiple contrail attributions by flight information.

If successful, the response will be a list of contrail attributions.

For the default OBSERVATION view and the observation-adjusted segments of the hybrid view (OBSERVATION_ENHANCED_COCIP), attributions are available only over subregions covered by GOES-East (specifically Continental US), MTG (Continental Europe), and Himawari (subregions of East Asia / Asia-Pacific). Both GOES-East- and Himawari-based attributions have production-level quality, while MTG is in beta. Outside of these defined coverage regions or during long source data gaps (>5 minutes), flight impact calculations fall back to the physics-based modeling (`COCIP')

Path parameters

Parameters
parent

string

Required. The parent resource shared by all attributions being retrieved. Format: attributions

Query parameters

Parameters
names[]

string

Required. The resource names of the flights to retrieve. A maximum of 100 names can be provided in a single request.

Format:

carriers/{carrier}/flightNumbers/{flightNumber}/departureDates/{departure_date}/departureAirports/{departure_airport}

Components:

  • {carrier}: 2-character IATA carrier code (e.g., "AA", "UA").
  • {flightNumber}: 1-4 digit flight number (e.g., "123").
  • {departure_date}: Flight departure date in YYYY-MM-DD format.
  • {departure_airport}: 3-letter IATA airport code (e.g., "JFK", "LHR").
view

enum (AttributionView)

Optional. The selected methodology for computing the flight impact. Defaults to ATTRIBUTION_VIEW_OBSERVATION.

AttributionView

Defines the requested methodology for computing the flight impact.

Enums
ATTRIBUTION_VIEW_OBSERVATION Attributes impact based only on matched satellite contrail detections. Segments without a matched observation will have zero impact. Optimizes for high precision.
ATTRIBUTION_VIEW_COCIP Attributes impact based only on CoCiP model ensemble predictions using 10 ensembles from HRES weather. Satellite observations are not used. Optimizes for high recall.
ATTRIBUTION_VIEW_OBSERVATION_ENHANCED_COCIP Hybrid approach combining CoCiP and observation tracks. Scales or discounts physics model predictions based on matched satellite detections.
ATTRIBUTION_VIEW_UNSPECIFIED Unspecified attribution view. Default falls back to ATTRIBUTION_VIEW_OBSERVATION.